import { Button } from 'antd'
import React, { useEffect, useState } from 'react'
import { useLocation, useNavigate } from 'react-router-dom'
import styled from 'styled-components'
import { getOnceJoblog } from '../services/index'

const LogWrapper = styled.div`
  margin: 20px;
  padding: 30px;
  background-color: #fff;
  .log {
    background-color: #012b36;
    height: calc(100vh - 200px);
    overflow-y: scroll;
    color: #638691;
    padding: 8px 10px;
    ::-webkit-scrollbar {
      display: none;
    }
  }
  .return {
    display: flex;
    justify-content: flex-end;
    padding-bottom: 10px;
  }
`

const LogWatcher = () => {
  const navigate = useNavigate()
  const { state } = useLocation()
  const [logData, setLogData] = useState(null)

  const fetchOnceJoblog = async () => {
    const { data } = await getOnceJoblog(state.id)
    if (data.code === 200) {
      setLogData(data.data.log)
    }
  }
  useEffect(() => {
    fetchOnceJoblog()
  }, [state])

  const returnLogTable = () => {
    console.log('111')
    navigate('/datasource', {
      state: { key: '3' },
    })
  }
  return (
    <LogWrapper>
      {/* <div className="return">
        <Button
          type="primary"
          onClick={() => {
            returnLogTable()
          }}>
          返回上一级
        </Button>
      </div> */}
      <pre className="log">{logData}</pre>
    </LogWrapper>
  )
}

export default LogWatcher
