import request from '../../../utils/request'

// 获取数据源列表
export const getDataSourceList = params =>
  request({
    url: `/jpt/datasource/`,
    method: 'get',
    params,
  })

// 删除指定数据源
export const delDataSource = id =>
  request({
    url: `/jpt/datasource/` + id,
    method: 'delete',
  })

// 测试数据源连接
export const testDataSourceConnection = params =>
  request({
    url: '/jpt/datasource/test',
    method: 'post',
    data: { ...params },
  })

// 创建数据源
export const createDataSource = params =>
  request({
    url: `/jpt/datasource/`,
    method: 'post',
    data: { ...params },
  })

export const getJobList = params =>
  request({
    url: `jpt/jobinfo/?page=${params.page}&size=${params.size}`,
    method: 'get',
  })

export const updateJobList = (id, params) =>
  request({
    url: 'jpt/jobinfo/' + id,
    method: 'put',
    data: { ...params },
  })

export const updateJobStatus = params =>
  request({
    url: 'jpt/jobinfo/update_trigger_status/',
    method: 'put',
    data: params,
  })

export const delJob = id =>
  request({
    url: 'jpt/jobinfo/' + id,
    method: 'delete',
  })

export const getJobInfo = id =>
  request({
    url: `jpt/jobinfo/info?job_id=${id}`,
    method: 'get',
  })

export const getTableNamesList = params =>
  request({
    url: `/jpt/datasource/table_names?ds_id=${params}`,
    method: 'post',
  })

export const getTableData = params =>
  request({
    url: `/jpt/datasource/preview?ds_id=${params.id}&table_name=${params.table_name}`,
    method: 'post',
  })

export const getTableSchema = params =>
  request({
    url: `/jpt/datasource/table_schema?ds_id=${params.id}&table_name=${params.table_name}`,
    method: 'post',
  })

export const getJoblog = params =>
  request({
    url: `/jpt/joblog/?page=${params.page}&size=${params.size}${
      params.id ? '&job_id=' + params.id : ''
    }`,
    method: 'get',
  })

export const getOnceJoblog = id =>
  request({
    url: `/jpt/joblog/getOnce?run_id=${id}`,
    method: 'get',
  })

export const buildJsonData = params =>
  request({
    url: '/jpt/datax',
    method: 'post',
    data: { ...params },
  })

export const createJob = params =>
  request({
    url: 'jpt/jobinfo/',
    method: 'post',
    data: { ...params },
  })

export const executeOnce = id =>
  request({
    url: `jpt/jobinfo/execute?job_id=${id}`,
    method: 'post',
  })

export const refreshLogsStatus = str =>
  request({
    url: '/jpt/joblog/logs_status/' + str,
    method: 'get',
  })

export const uploadFile = params =>
  request({
    url: '/jpt/files/upload_file',
    method: 'post',
    data: params,
  })
