import request from '../../../utils/request'

// 分类常量
export const getTagList = params =>
  request({
    url: `/jpt/constants/?type=${params}`,
    method: 'get',
  })

// 定时任务列表
export const getJmJobList = () =>
  request({
    url: `/jpt/jm_job_info/`,
    method: 'get',
  })

// 更新任务
export const updateJmJobInfo = params =>
  request({
    url: '/jpt/jm_job_info/',
    method: 'put',
    data: { ...params },
  })

// 创建任务
export const createJmJob = params =>
  request({
    url: `/jpt/jm_job_info/`,
    method: 'post',
    data: { ...params },
  })

// 删除任务
export const deleteJmJob = id =>
  request({
    url: `/jpt/jm_job_info/?jm_job_id=${id}`,
    method: 'delete',
  })

//获取单个任务信息
export const getJmJobInfo = id =>
  request({
    url: `/jpt/jm_job_info/info?jm_job_id=${id}`,
    method: 'get',
  })

//修改任务状态
export const updateJmJobStatus = params =>
  request({
    url: '/jpt/jm_job_info/status',
    method: 'put',
    data: { ...params },
  })

//执行一次
export const executeJmJob = id =>
  request({
    url: `/jpt/jm_job_info/execute/${id}`,
    method: 'post',
  })

// 作业列表
export const getJmHomeworkList = id =>
  request({
    url: `/jpt/jm_homework/?project_id=${id}`,
    method: 'get',
  })

export const deleteTag = params =>
  request({
    url: `/jpt/constants/?type=${params.type}&value=${params.val}`,
    method: 'delete',
  })

//cron近5天
export const getCronNext = params =>
  request({
    url: `/jpt/jm_job_info/cron_next_execute?cron_expression=${params}`,
    method: 'get',
  })

//api调用
export const getApi = params =>
  request({
    url: `/jpt/jm_job_info/api/${params}`,
    method: 'get',
  })
